package org.oasis.wscaf.newcore.types.wscf;

import java.util.ArrayList;

import javax.xml.namespace.QName;

import org.apache.axis2.addressing.EndpointReference;
import org.oasis.wscaf.newcore.types.common.Namespaces;
import org.oasis.wscaf.newcore.types.wsctx.Context;

public interface RegistrationContext extends Context {

	public static final QName NAME = new QName(Namespaces.WSCF_NAMESPACE,"registrationContext");
	public static final QName REGISTRATION_SERVICE_NAME = new QName(Namespaces.WSCF_NAMESPACE,"registration-service");
	public static final QName SUB_PROTOCOL_NAME = new QName(Namespaces.WSCF_NAMESPACE,"sub-protocol");
	public static final QName PARTICIPANTS_NAME = new QName(Namespaces.WSCF_NAMESPACE,"participants");
	public static final QName EXTENSION_NAME = new QName(Namespaces.WSCF_NAMESPACE,"extension");
	
	public EndpointReference getRegistrationService();
	public void setRegistrationService(EndpointReference regService);
	
	public ArrayList getSubProtocols();
	public void setSubProtocols(ArrayList subProtocols);
	
	public ArrayList getParticipants();
	public void setParticipants(ArrayList participants);
	
	public ArrayList getExtensions();
	public void setExtensions(ArrayList extensions);
	
}
